Problem:

You receive the following error when applying updates to the WINPE boot image with MDT 2012:

Deployment Image Servicing and Management tool
Version: 6.2.9200.16384
Image Version: 6.2.9200.16384
Processing 1 of 1 – Adding package Package_for_KB2782419~31bf3856ad364e35~amd64~~6.2.1.0
Error: 0x800f081e
The specified package is not applicable to this image.
The DISM log file can be found at C:\Windows\Logs\DISM\dism.log
Exit code = -2146498530
DISM /Add-Package failed, rc = -2146498530.

Solution:

Edit the Settings.XML file in the Deployment share’s “Control” folder, and change the following values: 

<Boot.x86.UseBootWim>True</Boot.x86.UseBootWim>
<Boot.x64.UseBootWim>True</Boot.x64.UseBootWim>

 New values:

 <Boot.x86.UseBootWim>False</Boot.x86.UseBootWim>
<Boot.x64.UseBootWim>False</Boot.x64.UseBootWim>

 Now MDT will no longer use the boot.wim file, instead it will use the winpe.wim file.

Links:

Technet Blog by Michael Niehaus

Posted in: MDT, Microsoft